WriterPlsParserInternal::SectionInfo Struct Reference

Internal: class to store the Section properties. More...

## Public Member Functions

| SectionInfo ()
bool | empty () const

## Public Attributes

int | m_numCol
| the number of columns(?)
int | m_dim [3]
| unknown dimension
int | m_flags [4]
| some flag

## Friends

std::ostream & | operator<< (std::ostream &o, SectionInfo const &s)
| operator<<

## Detailed Description

Internal: class to store the Section properties.

## Constructor & Destructor Documentation

## SectionInfo()

WriterPlsParserInternal::SectionInfo::SectionInfo | ( |  | ) |

inline

Referenced by operator<<.

## Member Function Documentation

## empty()

bool WriterPlsParserInternal::SectionInfo::empty | ( |  | ) | const

inline

Referenced by WriterPlsParser::readSection().

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | SectionInfo const & | s )

friend

operator<<

## Member Data Documentation

## m_dim

int WriterPlsParserInternal::SectionInfo::m_dim[3]

unknown dimension

Referenced by empty(), operator<<, WriterPlsParser::readSection(), and SectionInfo().

## m_flags

int WriterPlsParserInternal::SectionInfo::m_flags[4]

some flag

Referenced by empty(), operator<<, WriterPlsParser::readSection(), and SectionInfo().

## m_numCol

int WriterPlsParserInternal::SectionInfo::m_numCol

the number of columns(?)

Referenced by empty(), operator<<, WriterPlsParser::readSection(), and SectionInfo().

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx